[API Reference](../README.md) > [RedeemEventResult](../interfaces/RedeemEventResult.md)

# Interface: RedeemEventResult

## Hierarchy

**RedeemEventResult**

## Index

### Properties

* [_amount](RedeemEventResult.md#_amount)
* [_avatar](RedeemEventResult.md#_avatar)
* [_beneficiary](RedeemEventResult.md#_beneficiary)
* [_proposalId](RedeemEventResult.md#_proposalId)

---

## Properties

<a id="_amount"></a>

###  _amount

**● _amount**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:791](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L791)*

the amount redeemed

___
<a id="_avatar"></a>

###  _avatar

**● _avatar**: *[Address](../#Address)*

*Defined in [wrappers/contributionReward.ts:796](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L796)*

avatar address indexed

___
<a id="_beneficiary"></a>

###  _beneficiary

**● _beneficiary**: *[Address](../#Address)*

*Defined in [wrappers/contributionReward.ts:800](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L800)*

indexed

___
<a id="_proposalId"></a>

###  _proposalId

**● _proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/contributionReward.ts:804](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L804)*

indexed

___

